﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

/**
 * Exception superclass used by TextMarksAPIClient.
 */

namespace TextMarksV2APIClient_DotNet
{
    public class TextMarksV2APIClientResultException : TextMarksV2APIClientException
    {
        public TextMarksV2APIClientResultException(string sMsg)
            : base(sMsg)
        {
        }

        public TextMarksV2APIClientResultException(string sMsg, Exception cause)
            : base(sMsg, cause)
        {

        }

        public TextMarksV2APIClientResultException(string sMsg, int iCode)
            : base(sMsg)
        {
            _iCode = iCode;
        }

        public TextMarksV2APIClientResultException(string sMsg, int iCode, Exception cause)
            : base(sMsg, cause)
        {

            _iCode = iCode;
        }
    }
}
